## pokrok 0.2.0

=== Makefile ===
tests = tests
module = pokrok
#pytestops = "--full-trace"
#pytestops = "-v -s"
repo = jdidion/$(module)
desc = Release $(version)

BUILD = python setup.py build_ext -i && python setup.py install $(installargs)
TEST = py.test $(pytestops) $(tests)

all:
	$(BUILD)
#	$(TEST)

install:
	$(BUILD)

test:
	$(TEST)

docs:
	make -C docs api
	make -C docs html

readme:
	pandoc --from=markdown --to=rst --output=README.rst README.md
	pandoc --from=markdown --to=rst --output=CHANGES.rst CHANGES.md

lint:
	pylint $(module)

clean:
	rm -Rf __pycache__
	rm -Rf **/__pycache__/*
	rm -Rf **/*.c
	rm -Rf **/*.so
	rm -Rf **/*.pyc
	rm -Rf dist
	rm -Rf build
	rm -Rf .adapters
	rm -Rf $(module).egg-info

release:
	$(clean)
	# tag
	git tag $(version)
	# build
	$(BUILD)
	#$(TEST)
	python setup.py sdist bdist_wheel
	# release
	python setup.py sdist upload
	git push origin --tags
	$(github_release)

github_release:
	curl -v -i -X POST \
		-H "Content-Type:application/json" \
		-H "Authorization: token $(token)" \
		https://api.github.com/repos/$(repo)/releases \
		-d '{"tag_name":"$(version)","target_commitish": "master","name": "$(version)","body": "$(desc)","draft": false,"prerelease": false}'

=== debian/changelog ===
pokrok (0.2.0-5) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Adapt versioneer.py to Python3.12
    Closes: #1058108
  * Proper capitalisation in description
  * DEP3
  * Check DEB_BUILD_OPTIONS in d/rules
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 09:19:21 +0100

pokrok (0.2.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:09:58 +0100

pokrok (0.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:19:28 +0100

pokrok (0.2.0-2) unstable; urgency=medium

  * Team Upload.
  * Add Depends on python3-pkg-resources
    (Closes: #983762)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Mar 2021 21:47:25 +0530

pokrok (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #981117)

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Jan 2021 17:40:20 +0100

=== debian/control ===
Source: pokrok
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/jdidion/pokrok
Vcs-Browser: https://salsa.debian.org/python-team/packages/pokrok
Vcs-Git: https://salsa.debian.org/python-team/packages/pokrok.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pokrok
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Description: meta-api for progress bars
 Pokrok provides a simple API for displaying progress bars and
 spinners. The actual work is done by any one of many available
 progress bar packages in Python3. For each package, a sensible default
 display is provided. In addition, high-level configuration options are
 provided for limited customization of the bar/spinner display without
 having to know the details of the underlying progress bar/spinner
 implementation. Finally, access to the fine-grained configuration of
 the underlying package is provided for those that want it.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pokrok

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# not idea, does not give an error message
	PYTHONPATH=. py.test-3 || echo "[ Tests failed - still with no error (?) - Ignored since reverse dep xphyle tests correctly ]"
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/jdidion/pokrok/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
